dojo.provide("com.ibm.stg.script.valueProvider.odc.ActivityProvider");

(function() {

var map= {
   "com.ibm.stg.enumeration.odc.trigger.literal.unassigned": "com.ibm.stg.enumeration.odc.activity.literal.unassigned",
   "com.ibm.stg.enumeration.odc.trigger.literal.designConformance": "com.ibm.stg.enumeration.odc.activity.literal.designReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.logicFlow": "com.ibm.stg.enumeration.odc.activity.literal.designReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.backwardCompatibility": "com.ibm.stg.enumeration.odc.activity.literal.designReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.lateralCompatibility": "com.ibm.stg.enumeration.odc.activity.literal.designReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.concurrency": "com.ibm.stg.enumeration.odc.activity.literal.designReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.languageDependency": "com.ibm.stg.enumeration.odc.activity.literal.designReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.sideEffects": "com.ibm.stg.enumeration.odc.activity.literal.designReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.rareSituations": "com.ibm.stg.enumeration.odc.activity.literal.designReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.simplePath": "com.ibm.stg.enumeration.odc.activity.literal.unitTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.complexPath": "com.ibm.stg.enumeration.odc.activity.literal.unitTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.coverage": "com.ibm.stg.enumeration.odc.activity.literal.functionTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.variation": "com.ibm.stg.enumeration.odc.activity.literal.functionTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.sequencing": "com.ibm.stg.enumeration.odc.activity.literal.functionTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.interaction": "com.ibm.stg.enumeration.odc.activity.literal.functionTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.workloadStress": "com.ibm.stg.enumeration.odc.activity.literal.systemTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.recoveryException": "com.ibm.stg.enumeration.odc.activity.literal.systemTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.startupRestart": "com.ibm.stg.enumeration.odc.activity.literal.systemTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.hardwareConfiguration": "com.ibm.stg.enumeration.odc.activity.literal.systemTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.softwareConfiguration": "com.ibm.stg.enumeration.odc.activity.literal.systemTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.blockedTest": "com.ibm.stg.enumeration.odc.activity.literal.systemTest",
   "com.ibm.stg.enumeration.odc.trigger.literal.accuracy": "com.ibm.stg.enumeration.odc.activity.literal.userDocumentationReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.clarity": "com.ibm.stg.enumeration.odc.activity.literal.userDocumentationReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.completeness": "com.ibm.stg.enumeration.odc.activity.literal.userDocumentationReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.consistency": "com.ibm.stg.enumeration.odc.activity.literal.userDocumentationReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.organization": "com.ibm.stg.enumeration.odc.activity.literal.userDocumentationReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.retrievability": "com.ibm.stg.enumeration.odc.activity.literal.userDocumentationReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.style": "com.ibm.stg.enumeration.odc.activity.literal.userDocumentationReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.taskOrientation": "com.ibm.stg.enumeration.odc.activity.literal.userDocumentationReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.graphicDesignAesthetics": "com.ibm.stg.enumeration.odc.activity.literal.userDocumentationReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.guiDesignConformance": "com.ibm.stg.enumeration.odc.activity.literal.guiReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.iconWidgetAppearance": "com.ibm.stg.enumeration.odc.activity.literal.guiReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.screenTextCharacters": "com.ibm.stg.enumeration.odc.activity.literal.guiReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.inputDevices": "com.ibm.stg.enumeration.odc.activity.literal.guiReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.navigation": "com.ibm.stg.enumeration.odc.activity.literal.guiReview",
   "com.ibm.stg.enumeration.odc.trigger.literal.widgetGUIBehavior": "com.ibm.stg.enumeration.odc.activity.literal.guiReview"
}

dojo.declare("com.ibm.stg.script.valueProvider.odc.ActivityProvider", null, {

   getValue: function(attribute, workItem, configuration) {
      var triggerValue = workItem.getValue("com.ibm.stg.attribute.odc.trigger");
	  var activityValue = map[triggerValue];
      return activityValue;
   }
});
})();