dojo.provide("com.ibm.stg.script.valueProvider.fqi.CalculateFQIRisk");

(function() {

dojo.declare("com.ibm.stg.script.valueProvider.fqi.CalculateFQIRisk", null, {

   getValue: function(attribute, workItem, configuration) {
      
      var customerImpact = workItem.getValue("com.ibm.stg.attribute.fqi.customerImpact");
      var customerProbability = workItem.getValue("com.ibm.stg.attribute.fqi.customerProbability");
      
      var impact = this.__getLastIntSegment(customerImpact);
      var probability = this.__getLastIntSegment(customerProbability);
      
	  if(isNaN(impact) || isNaN(probability))
	     return -1;
	  else
         return impact * probability;
   },
   
   __getLastIntSegment: function(identifier) {
      if (identifier != null) {
         var lastSeparator= identifier.lastIndexOf('.');
         var numberString= identifier.substring(lastSeparator+1);
         return parseInt(numberString, 10);
      }
      return Number.NaN;
   }
});
})();