#!/usr/bin/env python
'''
Created on May 2, 2013

@author: jdevries
'''
import rtccli.rtccli as usertc
import sys
from rtccli.errormessages import getmsg
from jazzrest.CLMException import CLMException
import os

def main():
    rc = 1
    try:
        cl = usertc.RTCWICommandLine()
        (options,args) = cl.startup()
        if options!=None:
            rc = cl.runcommand(options,args)
        else:
            rc = 0
    except CLMException as c:
        rc = 1
        message = "{0}: {1}".format(c.code,c.value)+os.linesep
        sys.stderr.write(message)
    except SystemExit:
        rc = 2
    except:
        (msg,code) = getmsg("RW00000")
        print(code+": "+msg)
        #raise
        rc = 1
    sys.exit(rc)


if  __name__ =='__main__':main()
